<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="基本信息"
                android:textSize="18sp" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/rl_client"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="客户名称"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_client"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:text="请选择"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray" />
            </LinearLayout>

        </RelativeLayout>


        <View style="@style/dividerX" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="销售经理"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_manager"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray"
                    android:visibility="gone" />
            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="联系电话"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_phone"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_marginLeft="10mm"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="right"
                android:padding="3mm"
                android:textColor="@color/flexible_text_gray"
                android:textSize="14sp" />
        </LinearLayout>

        <View style="@style/dividerX" />

        <RelativeLayout
            android:id="@+id/rl_box"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="箱码"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_box"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:text="请选择"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray" />
            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />

        <RelativeLayout
            android:id="@+id/rl_pro"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="产品编码"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_pro_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray"
                    android:visibility="gone" />
            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="产品名称"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_pro_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray"
                    android:visibility="gone" />
            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="规格型号"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_spec"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray"
                    android:visibility="gone" />
            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="图号"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_img_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray"
                    android:visibility="gone" />
            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="支数"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/et_num"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_marginLeft="10mm"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="right"
                android:padding="3mm"
                android:textColor="@color/flexible_text_gray"
                android:textSize="14sp" />
        </LinearLayout>

        <View style="@style/dividerX" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="单支标志码"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_mark_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray"
                    android:visibility="gone" />
            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />


        <RelativeLayout
            android:id="@+id/rl_machine"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="对应连铸机"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_machine"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:text="请选择"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray" />
            </LinearLayout>

        </RelativeLayout>


        <View style="@style/dividerX" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="对应钢种"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_steel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

            </LinearLayout>

        </RelativeLayout>

        <View style="@style/dividerX" />

        <RelativeLayout
            android:id="@+id/rl_defect"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="9mm">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="缺陷名称"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_defect"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_marginRight="3mm"
                    android:text="请选择"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:src="@mipmap/arrow_right_gray" />
            </LinearLayout>

        </RelativeLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="20mm"
            android:paddingVertical="13mm"
            android:text="缺陷原因"
            android:textSize="14sp" />

        <EditText
            android:id="@+id/et_desc"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="20mm"
            android:layout_marginTop="3mm"
            android:layout_marginBottom="40mm"
            android:background="@drawable/shape_input_white"
            android:gravity="top"
            android:hint="请输入"
            android:minLines="4"
            android:padding="5mm"
            android:textSize="14sp" />
    </LinearLayout>
</androidx.core.widget.NestedScrollView>